About timelines

Click to show or hide information. Show me an example

Cylindrical timeline diagram

Use the Timeline template to quickly create linear timelines that illustrate milestones and intervals of time over the life of a project or process.

Timelines are particularly useful for showing a sequence of events in a process, a history of events, or a summary of a more complex project timeline or Gantt chart. If you use a timeline to summarize a complex project or Gantt chart, you can use interval shapes to represent project tasks.

Create a timeline

Create a timeline from a data file


Create a timeline

Click to show or hide information. Show me an example

Cylindrical timeline diagram

  1. On the File menu, point to New, point to Project Schedule, and then click Timeline.
  2. From the Timeline Shapes stencil, drag a timeline shape, such as a Block timeline or Cylindrical timeline, onto the drawing page. In the Configure Timeline dialog box, set the date range, scale, and format.

Click to show or hide information. How?

  1. In the Configure Timeline dialog box, specify a start date and finish date for the timeline, select units for the time scale, and set formatting options for the date and time scale.
  2. To automatically update the dates on your marker, milestone, and interval shapes when you move them, check Automatically update dates when markers are moved.
  3. Click OK.
  3. Use milestone and interval shapes on your timeline to illustrate important tasks, events, and processes.

Click to show or hide information. Add a milestone

  1. From the Timeline Shapes stencil, drag a milestone shape onto your timeline.
  2. In the Configure Milestone dialog box, enter the milestone date, select a date format, and then click OK.

Note The Example field shows a preview of the selected date format.

  3. To change the milestone description, double-click the placeholder text to select the text block. Select the text you want to replace, and then type.

Note If you accidentally delete the date from the milestone and want to display it again, right-click the milestone shape, and then click Show Date.

Click to show or hide information. Add an interval (or task)

  1. From the Timeline Shapes stencil, drag an interval shape onto your timeline.
  2. In the Configure Interval dialog box, choose the interval start date, finish date, and date format, and then click OK.
  3. To change the interval description, double-click the placeholder text to select the text block. Select the text you want to replace, and then type.

Note If you accidentally delete the dates from the interval and want to display them again, right-click the interval shape, and then click Show Dates.

  4. Add a Today marker or Elapsed time shape to your timeline to illustrate the current date or elapsed time.

Click to show or hide information. Add a current date marker

  1. From the Timeline Shapes stencil, drag the Today marker shape onto your timeline.
  2. To change the placeholder text, click the placeholder text, and then type.

Click to show or hide information. Add an elapsed time marker

From the Timeline Shapes stencil, drag the Elapsed time shape onto your timeline.


Configure Timeline dialog box

Click to show or hide information. Start Date

Type the month, day, and year that your project will start. The start date appears on the timeline for reference when the Show start and finish dates on timeline check box is selected.

Click to show or hide information. Finish Date

Type the month, day, and year that your project will finish. The finish date appears on the timeline for reference when the Show start and finish dates on timeline check box is selected.

Click to show or hide information. Time Scale

Select the time scale unit for the timeline (Days, Weeks, Months, or Years). Each day, week, month, or year will be displayed on the timeline for reference if the Show interim time scale markings on timeline check box is selected.

Click to show or hide information. Start Weeks On

Click Sunday or Monday to specify the start day for the weeks in the timeline. (This option is available only when Time Scale is set to Weeks.)

Click to show or hide information. Show Start And Finish Dates On Timeline

Select this check box to display the start and finish dates on the timeline for reference.

Click to show or hide information. Date Format

Select a date format from the list of formatting options. See the Example field for a preview of the formatting. Start and finish dates will be displayed in the drawing using the selected date format.

Click to show or hide information. Show Interim Time Scale Markings On Timeline

Select this check box to display each day, week, month, or year time unit on the timeline for reference.

Click to show or hide information. Show Dates On Interim Time Scale Markings

Select this check box to display the date for each interim marking on the timeline for reference. (This option is available only when Show Interim Time Scale Markings On Timeline is selected.)

Click to show or hide information. Date Format

Select a date format from the list of formatting options. See the Example field for a preview of the formatting. Time scale markings will be displayed in the drawing using the selected date format.

Click to show or hide information. Automatically Update Dates When Markers Are Moved

Select this check box to automatically update the dates on your marker, milestone, and interval shapes when you reposition them.


Configure Milestone dialog box

Click to show or hide information. Milestone Date

Specifies the date for the selected milestone.

Click to show or hide information. Date Format

Lists the date formatting options. Milestone dates will be displayed in the drawing using the selected date format.

Click to show or hide information. Example

Shows a preview of the date format you selected.


Configure Interval dialog box

Click to show or hide information. Start Date

Specifies the starting date for the selected interval.

Click to show or hide information. Finish Date

Specifies the finish date for the selected interval.

Click to show or hide information. Date Format

Select a date format from the list of formatting options. Interval start and finish dates will display in the drawing using the selected date format.

Click to show or hide information. Example

Shows a preview of the date format you selected.


Advanced Timeline Options dialog box

Click to show or hide information. Time Scale

Select the time scale unit for the timeline (Days, Weeks, Months, or Years). Each day, week, month, or year will display on the timeline for reference if the Show interim time scale markings on timeline check box is selected.

Click to show or hide information. Start Weeks On

Click Sunday or Monday to specify the start day for the weeks in the timeline. (This option is available only when Time Scale is set to Weeks.)

Click to show or hide information. Add Today Marker

Check to add a marker for the current date to the timeline.

Click to show or hide information. Show Elapsed Time

Check to add a marker that automatically shows the time elapsed from the beginning of the schedule to the current date.

Click to show or hide information. Show Start And Finish Dates On Timeline Shape

Select this check box to display the start and finish dates on the timeline for reference.

Click to show or hide information. Date Format

Select a date format for the timeline shape from the list of formatting options. See the Example field for a preview of the formatting. Start and finish dates will display in the drawing using the selected date format.

Click to show or hide information. Show Interim Time Scale Markings On Timeline

Check this option to display each day, week, month, or year time unit on the timeline for reference.

Click to show or hide information. Show Dates On Interim Time Scale Markings

Check this option to display the date for each interim marking on the timeline for reference. (This option is available only when the Show interim time scale markings on timeline check box is selected.)

Click to show or hide information. Milestone Date Format

Select a date format for the milestone shapes from the list of formatting options. See the Example field for a preview of the formatting. Start and finish dates will display in the drawing using the selected date format.

Click to show or hide information. Interval Date Format

Select a date format for the interval shapes from the list of formatting options. See the Example field for a preview of the formatting. Start and finish dates will display in the drawing using the selected date format.

Click to show or hide information. Automatically Update Dates When Markers Are Moved

Select this check box to automatically update the dates on your marker, milestone, and interval shapes when you reposition them.


Create a timeline from a data file

  1. On the Tools menu, point to Macros, point to Project Schedule, and then click Import Project Data Wizard.
  2. On the first wizard page, click Information that's already stored in a file.
  3. On the next wizard page, choose the file format of your existing project data, and then click Next.
  4. On the next wizard page, click Browse to locate the data file from which you want to create a timeline. Select the file, click Open, and then click Next.
  5. On the next wizard page, click Timeline drawing, and then click Next.
  6. On the next wizard page, select the shapes you want for the timeline, milestones, and intervals, and then click OK.

Note Click Advanced to open a dialog box in which you can specify date formats and additional options for your timeline.

  7. On the next wizard page, select which task types you want to import for your timeline, click Next, and then click Finish.
  8. The wizard creates a new timeline based on the data in the data file.

Notes

  • To import data from Microsoft Project, you must have Project 2000 or later installed on your machine.
  • To import data from Microsoft Excel, you must have Excel 95 or later installed on your machine.

Click to show or hide information. Tip

Timelines you import to a currently open drawing may have different colors than your original drawing. To change the color scheme for your new drawing, on the Tools menu, point to Color Schemes, and choose the color scheme you want.


Set the date range, scale, and format for a timeline

  1. Right-click a timeline shape on the drawing page, and then click Configure Timeline.
  2. In the Configure Timeline dialog box, specify a start date and finish date for the timeline, select units for the time scale, and set formatting options for the date and time scale.
  3. To automatically update the dates on your marker, milestone, and interval shapes when you move them, check Automatically update dates when markers are moved.
  4. Click OK.


Add a milestone to a timeline

  1. From the Timeline Shapes stencil, drag a milestone shape onto your timeline.
  2. In the Configure Milestone dialog box, enter the milestone date, select a date format, and then click OK.

Note The Example field shows a preview of the selected date format.

  3. To change the milestone description, double-click the placeholder text to select the text block. Select the text you want to replace, and then type.

Note If you accidentally delete the date from the milestone and want to display it again, right-click the milestone shape, and then click Show Date.


Change a milestone date or format for a timeline

  1. Right-click the milestone, and then click Configure Milestone.
  2. In the Configure Milestone dialog box, revise the milestone settings, and then click OK.
  3. To change the milestone description, double-click the placeholder text to select the text block. Select the text you want to replace, and then type.

Note If you accidentally delete the date from the milestone and want to display it again, right-click the milestone shape, and then click Show Date.


Add an interval to a timeline

  1. From the Timeline Shapes stencil, drag an interval shape onto your timeline.
  2. In the Configure Interval dialog box, choose the interval start date, finish date, and date format, and then click OK.
  3. To change the interval description, double-click the placeholder text to select the text block. Select the text you want to replace, and then type.

Note If you accidentally delete the dates from the interval and want to display them again, right-click the interval shape, and then click Show Dates.


Change interval dates and date format for a timeline

  1. Right-click the interval, and then choose Configure Interval.
  2. In the Configure Interval dialog box, revise the interval settings, and then click OK.
  3. To change the interval description, double-click the placeholder text to select the text block. Select the text you want to replace, and then type.

Note If you accidentally delete the dates from the interval and want to display them again, right-click the interval shape and then click Show Dates.

Click to show or hide information. Tip

If you selected the automatic update check box in the Configure Timeline dialog box, you can also change the dates by moving or stretching an interval shape.


Add a current date marker to a timeline

  1. From the Timeline Shapes stencil, drag the Today marker shape onto your timeline.
  2. To change the placeholder text, click the placeholder text, and then type.


Add an elapsed time marker to a timeline

From the Timeline Shapes stencil, drag the Elapsed time shape onto your timeline.


Export data from a timeline

  1. Open the timeline drawing that contains the data you want to export, and then click the border of the timeline to select it.

Note You can export only one timeline at a time. If you have more than one timeline on the drawing page, select only the one you want to export.

  2. On the Tools menu, point to Macros, point to Project Schedule, and then click Export Project Data Wizard.
  3. On the first wizard page, choose the file format you want to export your timeline data into, and then click Next.
  4. On the second wizard page, type a name for the file, click Browse, and then locate the folder where you want to save your project data. Select the folder, and then click Save.
  5. Click Next, and then click Finish to export your project data.

Notes

  • To export data to Microsoft Project, you must have Project 2000 or later installed on your machine.
  • To export data to Microsoft Excel, you must have Excel 95 or later installed on your machine.


Convert a timeline to a Gantt chart

  1. Open the timeline drawing you want to convert to a Gantt chart. On the Tools menu, point to Macros, point to Project Schedule, and then click Export Project Data Wizard.

Note If you have more than one timeline on the drawing page, be sure to select the timeline containing the data you want to convert.

  2. On the first wizard page, under Export my project data into the following format, click Microsoft Visio Gantt Chart Drawing, and then click Next.
  3. Follow the wizard pages to have the wizard convert your timeline drawing to a Gantt chart.

Note The converted timeline opens in a separate Visio drawing file.


Create a text or Microsoft Excel data file from which to generate a timeline

  1. On the File menu, point to New, point to Project Schedule, and then click Timeline.
  2. On the Tools menu, point to Macros, point to Project Schedule, and then click Import Project Data Wizard.
  3. On the first wizard page, click Information that I enter using the wizard, and then click Next.
  4. On the next wizard page, click the format you want for your data, and then type the name for the new data file. Click Browse to locate the folder to which you want to save the file, click Save, and then click Next.

Note The Microsoft Excel format option is available only if Excel 95 or later is installed on your machine.

  5. Type over the sample text in the Excel or text file template that opens, save the file, and then exit it to return to the wizard.
  6. Follow the remaining wizard pages to create a timeline drawing from your data file.